KRecentDocument class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KRecentDocument Class Reference

Manage the "Recent Document Menu" entries displayed by applications such as Kicker and Konqueror. More...

`#include <krecentdocument.h>`

List of all members.

## Static Public Member Functions
QStringList | recentDocuments ()
| Return a list of absolute paths to recent document .desktop files, sorted by date.
void | add (const KURL &url)
| Add a new item to the Recent Document menu.
void | add (const KURL &url, const QString &desktopEntryName)
| Add a new item to the Recent Document menu, specifying the application to open it with.
void | add (const QString &documentStr, bool isURL=false)
| Add a new item to the Recent Document menu.
void | clear ()
| Clear the recent document menu of all entries.
int | maximumItems ()
| Returns the maximum amount of recent document entries allowed.
QString | recentDocumentDirectory ()
| Returns the path to the directory where recent document .desktop files are stored.

## Detailed Description

Manage the "Recent Document Menu" entries displayed by applications such as Kicker and Konqueror.

These entries are automatically generated .desktop files pointing to the current application and document. You should call the static add() method whenever the user opens or saves a new document if you want it to show up in the menu.

You don't have to worry about this if you are using any KFileDialog derived class to open and save documents, as it already calls this class. User defined limits on the maximum number of documents to save, etc... are all automatically handled.

Author:
  Daniel M. Duley <mosfet@kde.org>

Definition at line 50 of file krecentdocument.h.

## Member Function Documentation

QStringList KRecentDocument::recentDocuments | ( |  | ) | `[static]`

| Return a list of absolute paths to recent document .desktop files, sorted by date. Definition at line 51 of file krecentdocument.cpp. References QDir::absFilePath(), QDir::entryList(), QDir::exists(), QDir::mkdir(), and recentDocumentDirectory(). Referenced by clear().

void KRecentDocument::add | ( | const KURL & | url | ) | `[static]`

  | Add a new item to the Recent Document menu. Parameters:
  url | The url to add.
Definition at line 69 of file krecentdocument.cpp. Referenced by add(), KFileDialog::getSaveFileName(), KFileDialog::getSaveURL(), KURLRequesterDlg::getURL(), and KRun::run().

void KRecentDocument::add | ( | const KURL & | url,
|  | const QString & | desktopEntryName
| ) | `[static]`

  | Add a new item to the Recent Document menu, specifying the application to open it with. The above add() method uses argv[0] for the app name, which isn't always flexible enough. This method is used when an application launches another one to open a document. Parameters:
  url | The url to add.
  serviceDesktopName | The desktopEntryName of the service to use for opening this document.
Definition at line 74 of file krecentdocument.cpp. References QDir::absPath(), KGlobal::config(), QFile::encodeName(), QDir::entryList(), QFile::exists(), KURL::fileName(), QString::fromLatin1(), KConfigBase::group(), KMimeType::iconForURL(), KConfigBase::readBoolEntry(), KConfigBase::readEntry(), KConfigBase::readNumEntry(), recentDocumentDirectory(), QFile::remove(), QString::replace(), KConfigBase::setDesktopGroup(), KConfigBase::setGroup(), KURL::url(), and KConfigBase::writeEntry().

void KRecentDocument::add | ( | const QString & | documentStr,
|  | bool | isURL = false
| ) | `[static]`

  | Add a new item to the Recent Document menu. Calls add( url ). Parameters:
  documentStr | The full path to the document or URL to add.
  Set | to `true` if `documentStr` is an URL and not a local file path.
Definition at line 139 of file krecentdocument.cpp. References add(), and KURL::setPath().

void KRecentDocument::clear | ( |  | ) | `[static]`

| Clear the recent document menu of all entries. Definition at line 150 of file krecentdocument.cpp. References recentDocuments(), and QDir::remove().

int KRecentDocument::maximumItems | ( |  | ) | `[static]`

| Returns the maximum amount of recent document entries allowed. Definition at line 158 of file krecentdocument.cpp. References KGlobal::config(), QString::fromLatin1(), and KConfigBase::readNumEntry().

QString KRecentDocument::recentDocumentDirectory | ( |  | ) | `[static]`

| Returns the path to the directory where recent document .desktop files are stored. Definition at line 45 of file krecentdocument.cpp. References QString::fromLatin1(), and locateLocal(). Referenced by add(), and recentDocuments().

The documentation for this class was generated from the following files:

- krecentdocument.h
- krecentdocument.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:21:00 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001